// const int rxPin = 9;       // use these for Nano
// const int txPin = 11;
// const int ledPin = 13;
const int rxPin = A8;         // use these for Lilypad
const int txPin = A9;
const int ledPin = 15;
#include <SoftwareSerial.h>
SoftwareSerial mySerial(rxPin, txPin); // RX, TX
String inMessage;
void setup() {
  mySerial.begin(1200);
  pinMode(ledPin,OUTPUT);
  Serial.begin(1200);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
  Serial.println("Goodnight moon!");
}
void loop() { // run over and over
  while (mySerial.available()) {
    String inString = String(mySerial.read());
    long var=inString.toInt();
    if (var!=13) {
      if (var==10) {
        Serial.println(inMessage);
        if(inMessage[1]=='2') {
          digitalWrite(ledPin,HIGH);
          delay(100);
          digitalWrite(ledPin,LOW);
          delay(50);
          digitalWrite(ledPin,HIGH);
          delay(100);
          digitalWrite(ledPin,LOW);
          delay(50);
        }
        inMessage="";   
      } else {
        inMessage+=char(var);
      }
    }
  }
}
